"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const process_theme_1 = require("../../../theme/process-theme");
const json_to_css_1 = __importDefault(require("../json-to-css"));
const merge_json_1 = require("../merge-json");
const yaml_to_json_1 = __importDefault(require("../yaml-to-json"));
function configCreatorCSS(inputNode, { themeName, customPropertyPrefix, contextClassNamePrefix }) {
    const individualJSONFiles = new yaml_to_json_1.default(inputNode);
    const mergedJSON = new merge_json_1.BroccoliMergeJSON([individualJSONFiles], {
        outputFileName: `${themeName}.json`,
        ignore: ['package.json'],
        postprocess(themeSource) {
            if (!process_theme_1.isThemeSource(themeSource))
                throw new TypeError(`'${themeName}' was not processed as a correct theme source.`);
            return process_theme_1.processTheme(themeSource);
        }
    });
    const cssTheme = new json_to_css_1.default(mergedJSON, {
        customPropertyPrefix,
        contextClassNamePrefix
    });
    return cssTheme;
}
exports.configCreatorCSS = configCreatorCSS;
