"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const broccoli_persistent_filter_1 = __importDefault(require("broccoli-persistent-filter"));
const js_yaml_1 = require("js-yaml");
class BroccoliYAMLToJSON extends broccoli_persistent_filter_1.default {
    constructor(inputNode, options = {}) {
        super(inputNode, Object.assign({ extensions: ['yml', 'yaml'], targetExtension: 'json' }, options));
        this.options = options;
    }
    processString(contents, relativePath) {
        return JSON.stringify(js_yaml_1.safeLoad(contents, Object.assign(Object.assign({}, this.options), { filename: relativePath })), null, this.options.indentation);
    }
}
exports.default = BroccoliYAMLToJSON;
