"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const broccoli_postcss_1 = __importDefault(require("broccoli-postcss"));
const hook_broccoli_plugin_1 = require("../broccoli/hook-broccoli-plugin");
const postcss_1 = require("../postcss");
class PostPreprocessorPlugin {
    constructor(owner) {
        // eslint-disable-next-line unicorn/prevent-abbreviations
        this.ext = ['css'];
        this.name = 'ember-makeup:post';
        this.owner = owner;
    }
    toTree(tree, _inputDirectory, _outputDirectory, _options) {
        const cfgToVarTree = hook_broccoli_plugin_1.collectUsages(usages => this.owner.reportUsages(this.name, usages), reportUsage => broccoli_postcss_1.default(tree, {
            browsers: this.owner.project.targets.browsers,
            plugins: [
                {
                    module: postcss_1.cfgToVarPlugin,
                    options: {
                        reportUsage,
                        customPropertyPrefix: this.owner.makeupOptions
                            .customPropertyPrefix
                    }
                }
            ]
        }));
        return this.owner.debugTree(cfgToVarTree, 'post-plugin');
    }
}
exports.default = PostPreprocessorPlugin;
