"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const broccoli_postcss_1 = __importDefault(require("broccoli-postcss"));
const postcss_scss_1 = __importDefault(require("postcss-scss"));
const hook_broccoli_plugin_1 = require("../broccoli/hook-broccoli-plugin");
const postcss_1 = require("../postcss");
class PrePreprocessorPlugin {
    constructor(owner) {
        // eslint-disable-next-line unicorn/prevent-abbreviations
        this.ext = ['css', 'scss'];
        this.name = 'ember-makeup:pre';
        this.owner = owner;
    }
    toTree(tree, _inputDirectory, _outputDirectory, _options) {
        const expandComponentShorthandTree = hook_broccoli_plugin_1.collectUsages(usages => this.owner.reportUsages(this.name, usages), reportUsage => broccoli_postcss_1.default(tree, {
            browsers: this.owner.project.targets.browsers,
            plugins: [
                {
                    module: postcss_1.expandComponentShorthandPlugin,
                    options: { reportUsage }
                }
            ],
            parser: postcss_scss_1.default
        }));
        // Passing as part of the options object above unfortunately does not work
        // correctly, because the `undefined` is ignored.
        expandComponentShorthandTree.extensions = this.ext;
        expandComponentShorthandTree.targetExtension = undefined;
        return this.owner.debugTree(expandComponentShorthandTree, 'pre-plugin');
    }
}
exports.default = PrePreprocessorPlugin;
