"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_get_1 = __importDefault(require("lodash.get"));
const _1 = require(".");
function register(owner, type, registry) {
    if (type !== 'parent')
        return;
    const TYPE = 'css';
    // Get a list of all already registered plugins.
    const registeredPlugins = [...registry.registeredForType(TYPE)];
    // Remove all already registered plugins.
    for (const plugin of registeredPlugins)
        registry.remove(TYPE, plugin);
    // Find the `ember-css-modules` `OutputStylesProcessor`, if present.
    const emberCSSModulesPluginIndex = registeredPlugins.findIndex(plugin => lodash_get_1.default(plugin, 'owner.name') === 'ember-css-modules');
    // Add the `PrePlugin` _right_ behind the `OutputStylesProcessor`, or to the
    // beginning of the array.
    registeredPlugins.splice(
    // If the plugin is not present: `-1 + 1 = 0`
    emberCSSModulesPluginIndex + 1, 0, new _1.PrePlugin(owner));
    // Add the PostPlugin.
    // The list now looks like: [PrePlugin, ..., PostPlugin]
    registeredPlugins.push(new _1.PostPlugin(owner));
    // Add all plugins back in.
    for (const plugin of registeredPlugins)
        registry.add(TYPE, plugin);
}
exports.register = register;
