import Evented from '@ember/object/evented';
import Service from '@ember/service';
declare const MakeupService_base: Readonly<typeof Service> & (new (properties?: object | undefined) => Evented & Service) & (new (...args: any[]) => Evented & Service);
export default class MakeupService extends MakeupService_base {
    readonly customPropertyPrefix: string;
    readonly contextClassNamePrefix: string;
    readonly themePaths: Record<string, string>;
    /**
     * All browsers that do not support `CSS.supports` also do not support custom
     * properties.
     */
    readonly supportsCustomProperties: boolean;
    readonly stylesheetReader: (sheet: CSSStyleSheet) => {
        contextless: Record<string, string>;
        contextual: Record<string, Record<string, string>>;
    };
    private linkElement?;
    private isReady;
    readonly properties: {
        contextless: Record<string, string>;
        contextual: Record<string, Record<string, string>>;
    } | undefined;
    willDestroy(): void;
    private createLinkElement;
    private destroyLinkElement;
    resolveContext(key: string): string | undefined;
    private prefixContext;
    private getPropertyValue;
    setTheme(themeName: string): Promise<void>;
}
declare module '@ember/service' {
    interface Registry {
        makeup: MakeupService;
    }
}
export {};
